Bug 997025 - ovirt-guest-agent reports /proc/bus/usb
ovirt-guest-agent reports /proc/bus/usb
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity low
: ---
: 3.3.0
Assigned To: Vinzenz Feenstra [evilissimo]
Jiri Belka
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 09:56 EDT by Jiri Belka
Modified: 2015-09-22 09 EDT (History)
5 users (show)

See Also:
Fixed In Version: IS11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:17:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2013-08-14 09:56:40 EDT
Description of problem:

vdsClient shows /proc/bus/usb, it is not real filesystem. Seems like solution in BZ947792 was not done correctly.

# vdsClient -s 0 getVmStats c79ae8b0-bcee-4e67-8764-94e70c0c55d4 | grep disksU
        disksUsage = [{'path': '/', 'total': '19613917184', 'used': '1456885760', 'fs': 'ext4'}, {'path': '/proc/bus/usb', 'total': '0', 'used': '0', 'fs': 'usbfs'}, {'path': '/boot', 'total': '253869056', 'used': '52765696', 'fs': 'ext4'}, {'path': '/home', 'total': '203097088', 'used': '5783552', 'fs': 'ext4'}]

# grep ignored_fs /etc/ovirt-guest-agent.conf 
ignored_fs = rootfs tmpfs autofs cgroup selinuxfs udev mqueue nfsd proc sysfs devtmpfs hugetlbfs rpc_pipefs devpts securityfs debugfs binfmt_misc

# mount
/dev/mapper/vg_sf02-lv_root on / type ext4 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /dev/shm type tmpfs (rw,rootcontext="system_u:object_r:tmpfs_t:s0")
/dev/vda1 on /boot type ext4 (rw)
/dev/mapper/vg_sf02-lv_home on /home type ext4 (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)


Version-Release number of selected component (if applicable):
is10 - rhevm-guest-agent-common-1.0.7-12.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. install GA
2. vdsClient...
3.

Actual results:
not real filesystem reported

Expected results:
only real filesystems should be reported

Additional info:
Comment 3 Jiri Belka 2013-09-11 11:01:26 EDT
is13 ok
Comment 4 Itamar Heim 2014-01-21 17:17:02 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:23:41 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.